Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.dbsync
Class BaseSchemaUpdateStrategy

    java.lang.Object
      org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy

All Implemented Interfaces:
  SchemaUpdateStrategy

Direct Known Subclasses:
  CreateIfNoSchemaStrategy, ThrowOnPartialSchemaStrategy

    public abstract class BaseSchemaUpdateStrategy

extends java.lang.Object
implements SchemaUpdateStrategy

Since:
  3.0

Field Summary
`protected boolean` | `run`
`protected java.lang.ThreadLocal<java.lang.Boolean>` | `threadRunInProgress`

Constructor Summary
`BaseSchemaUpdateStrategy()`

Method Summary
`protected abstract void` | `processSchemaUpdate(DataNode dataNode)`
`void` | `updateSchema(DataNode dataNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### run

    protected volatile boolean run

### threadRunInProgress

    protected volatile java.lang.ThreadLocal<java.lang.Boolean> threadRunInProgress

Constructor Detail

### BaseSchemaUpdateStrategy

    public BaseSchemaUpdateStrategy()

Method Detail

### updateSchema

    public void updateSchema(DataNode dataNode)
                      throws java.sql.SQLException

  Specified by:
    `updateSchema` in interface `SchemaUpdateStrategy`
  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### processSchemaUpdate

    protected abstract void processSchemaUpdate(DataNode dataNode)
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.